import { defineConfig } from 'vite';
import { VitePluginNode } from 'vite-plugin-node';

export default defineConfig({
    server:{
        port:61337
    },
    plugins: [
        VitePluginNode({
            adapter:"express",
            appPath:"./test-export.js",
            exportName:"TestExport",
            // initAppOnBoot:false,
        })
    ],
    build: {
        lib: {
            entry: 'test-export.js',  // 入口文件
            name: 'temp-test-export',
            fileName: (format) => `temp-test-export.${format}.js`
        },
        rollupOptions: {
        input: 'test-export.js', // 你的入口文件
        output: {
            dir: 'temp',
            format: 'cjs'
        }
        }
    }
});